use Test::More
use File::Spec
use File::Find


BEGIN { chdir 't' if -d 't' };

eval 'use Test::Pod'
plan skip_all => "Test::Pod v0.95 required for testing POD"
    if $^EVAL_ERROR || $Test::Pod::VERSION +< 0.95

my @files
find( sub (@< @_) { push @files, < File::Spec->catfile( <
        File::Spec->splitdir( $File::Find::dir ), $_
        ) if m/\.p(?:l|m|od)$/ }, < File::Spec->catdir( <qw(.. blib lib) ))

plan tests => scalar nelems(@files)
for my $file (  @files )
    pod_file_ok( $file )



