
use Test::More tests => 3

use lib 't/lib'
use Foo

my $out = ""

ok(Foo->add_trigger(foo => sub (@< @_) { $out .= "foo: @_[1]\n" }),
      'add_trigger in Foo')

do
    $out = ""
    my $foo = Foo->new
    $foo->call_trigger(foo => 1)
    is $out, "foo: 1\n"

do
    $out = ""
    Foo->call_trigger(foo => 2)
    is $out, "foo: 2\n"


