# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

use Test::More tests => 6

use Clone::PP < qw( clone )
use Data::Dumper

ok 1

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

package Test::Array

our @ISA = qw(Clone::PP)

sub new
    my $class = shift
    my @self = @_
    bless \@self, $class


package main

$^WARNING = 0
my $a = Test::Array->new(
    1,
    \ @: 'two'
         \ @: 3
              \@: 'four'
    )
my $b = $a->clone(0)
my $c = $a->clone(2)

# TEST 2
is($b->[1]->[0], 'two')

# TEST 3
ok($b->[1] \== $a->[1])

# TEST 4
ok($c->[1] \!= $a->[1])

# TEST 5
ok($c->[1]->[1]->[1] \== $a->[1]->[1]->[1])

my @circ = $@
@circ[+0] = \@circ
my $aref = clone(\@circ)
ok( Dumper(\@circ) eq Dumper($aref) )
