# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

use Test::More tests => 1
use Clone::PP

use Data::Dumper
eval 'use Storable "dclone"'
if ($^EVAL_ERROR)
    print $^STDOUT, "ok 2 # skipping Storable not found\n"
    exit

# use Storable qw( dclone );

$^WARNING = 0


package Test::Hash

@Test::Hash::ISA = qw( Clone::PP )

sub new($class)
    my $self = \$%
    $self->{+x} = 0
    $self->{+x} = \%: value => 1
    bless $self, $class


package main

my ($master, $clone1)

my $a = Test::Hash->new()

my $b = $a->clone
my $c = dclone($a)

ok( Dumper($a, $b) eq Dumper($a, $c) )
# print Dumper($a, $b);
# print Dumper($a, $c);
