# $Id: 05dtype.t,v 0.18 2006-10-08 03:37:29 ray Exp $

use Test::More tests => 1

use Clone

use Data::Dumper
use Storable < qw( dclone )

package Test::Hash

@Test::Hash::ISA = qw( Clone )

sub new($class)
    my $self = \$%
    $self->{+x} = 0
    $self->{+x} = \%: value => 1
    bless $self, $class


package main

my ($master, $clone1)

my $a = Test::Hash->new()

my $b = $a->clone
my $c = dclone($a)

is( Dumper($a, $b), Dumper($a, $c) )
# print Dumper($a, $b);
# print Dumper($a, $c);
