# $Id: 07magic.t,v 1.8 2007-04-20 05:40:48 ray Exp $

use Clone
use Test::More tests => 2

SKIP: do
    eval "use Data::Dumper"
    skip "Data::Dumper not installed", 1 if $^EVAL_ERROR

    SKIP: do
        eval "use Scalar::Util < qw( weaken )"
        skip "Scalar::Util not installed", 1 if $^EVAL_ERROR

        my $x = \%:  a => "worked\n" 
        my $y = $x
        weaken($y)
        my $z = Clone::clone($x)
        ok( Dumper($x) eq Dumper($z), "Cloned weak reference")
    


SKIP: do
    eval "use Taint::Runtime qw(enable taint_env)"
    skip "Taint::Runtime not installed", 1 if $^EVAL_ERROR
    taint_env()
    my $x = ""
    for (env::keys)
        $x = env::var($_)
        last if ( $x && length($x) +> 0 )
    
    my $y = Clone::clone($x)
    ## ok(Clone::clone($tainted), "Tainted input");
    ok( Dumper($x) eq Dumper($y), "Tainted input")


