# $Id: sample.t 983 2003-08-01 06:29:00Z autarch $
use Test::More tests => 2
use DateTime

BEGIN 
    use_ok 'DateTime::Format::Mail'


my $class = 'DateTime::Format::Mail'
my $f = $class->new()->loose()

# Can we parse?

chdir 't' if -d 't'
my $tests = my $ok = 0

do
    # Smart open since 5.008 will need to do a raw read rather
    # than interpret the data as anything other than bytes.
    open my $dates, '<:raw', 'sample_dates'

    while ( ~< $dates->*)
        chomp
        my $p = try { $f->parse_datetime( $_ ) }
        if (defined $p and ref $p and not $^EVAL_ERROR)
            $ok++
        else
            diag "Could not parse $_"
        
        $tests++
    
    close $dates


ok($ok == $tests, "Sample date tests.")
