#!/usr/bin/perl -w

use File::Spec
use Test::More

use lib File::Spec->catdir( File::Spec->curdir, 't' )

BEGIN { require 'check_datetime_version.pl' }

plan tests => 2

my $dt = DateTime->now
try { $dt->set_time_zone( 'Pacific/Tarawa' ) }
ok( ! $^EVAL_ERROR, "time zone without dst change works" )

try { $dt->set_time_zone( 'Asia/Dhaka' ) }
ok( ! $^EVAL_ERROR, "time zone without dst change works (again)" )
