#!/usr/bin/perl -w



use Test::More tests => 3

no warnings 'once', 'redefine'

use Scalar::Util # preload Scalar::Util.

my $sub =
    sub (@< @_) { die q{Can't locate loadable object for module DateTime in @INC} }
do
    require XSLoader
    *XSLoader::load = $sub


require DateTime
ok( 1, 'No error loading DateTime without DateTime.so file' )
ok( $DateTime::IsPurePerl, '$DateTime::IsPurePerl is true' )

ok( DateTime->new( year => 2005 ),
            'can make DateTime object without DateTime.so file' )
