package Devel::Symdump::Export
require Devel::Symdump
require Exporter
use Carp

our (@ISA, @EXPORT_OK, $AUTOLOAD)
@ISA=@: 'Exporter'

@EXPORT_OK=@: 
 'packages'
 'scalars'
 'arrays'
 'hashes'
 'functions'
 'filehandles'
 'dirhandles'
 'ios'
 'unknowns'	
    
my %OK
%OK{[ @EXPORT_OK]}= (@: 1) x nelems(@EXPORT_OK)

push @EXPORT_OK, "symdump"

# undocumented feature symdump() -- does it save enough typing?
sub symdump
    my @packages = @_
    Devel::Symdump->new(< @packages)->as_string


for my $name (@: 
 'packages'
 'scalars'
 'arrays'
 'hashes'
 'functions'
 'filehandles'
 'dirhandles'
 'ios'
 'unknowns'	
    )
    Symbol::fetch_glob($name)->* = sub (@< @_)
        my @packages = @_
        my @ret = Devel::Symdump->new->?$name(< @packages)
        return @ret
    


1
