#!/usr/bin/perl -w

BEGIN { unshift $^INCLUDE_PATH, '.' ;}

require Devel::Symdump

print $^STDOUT, "1..8\n"

our @p = qw(
scalars arrays hashes functions
unknowns filehandles dirhandles packages)

my $i=0
for ( @p)
    my @x1 = Devel::Symdump->new->?$_()
    my @x2 = Devel::Symdump->?$_()
    unless ("$(join ' ',@x1)" eq "$(join ' ',@x2)")
        print $^STDOUT, "x1 [$(join ' ',@x1)] x2 [$(join ' ',@x2)]\n"
        print $^STDOUT, "not "
    
    print $^STDOUT, "ok ", ++$i, "\n"


