#!/usr/bin/perl -w

# tree.t

use Devel::Symdump

package Coffee
our @ISA = qw(Liquid Black)

package Liquid
package Black

package Martini
our @ISA = qw(Liquid)

package Martini::White
our @ISA = qw(Martini)
package Martini::Red
our @ISA = qw(Martini)

use Test::More
plan tests => 2

our $TODO = 1

my @s = split m/\n/, Devel::Symdump->isa_tree
ok(nelems(@s) +>= 11)
@s = split m/\n/, Devel::Symdump->inh_tree
ok(nelems(@s) +>= 9)

# The tests are testing with the > operator, because we never know where
# Exporter and Carp (and others) are developing into.
