#!perl -w

use Test::More
plan tests => 2

use Digest::MD5

my $md5 = Digest::MD5->new

if ($Digest::base::VERSION)
    $md5->add_bits("01111111")
    is($md5->hexdigest, "83acb6e67e50e31db6ed341dd2de1595")
    try {
        $md5->add_bits("0111");
    }
    ok($^EVAL_ERROR->{?description} =~ m/must be multiple of 8/)
else
    print $^STDOUT, "# No Digest::base\n"
    try {
        $md5->add_bits("foo");
    }
    ok($^EVAL_ERROR->{?description} =~ m/^Can\'t locate Digest\/base\.pm in \@INC/)
    ok(1)  # dummy


