my $MODULE

BEGIN 
    $MODULE = (-e "SHA.pm") ?? "Digest::SHA" !! "Digest::SHA::PurePerl"
    eval "require $MODULE" || die $^EVAL_ERROR
    $MODULE->import()


use Test::More

eval "use Test::Pod::Coverage 0.08"
plan skip_all => "Test::Pod::Coverage 0.08 required for testing POD coverage" if $^EVAL_ERROR

my @privfcns = ()

if ($MODULE eq "Digest::SHA")
    @privfcns = qw(
		Addfile
		B64digest
		Hexdigest
		shaclose
		shadump
		shadup
		shaload
		shaopen
		sharewind
		shawrite
	)


all_pod_coverage_ok( \(%:  also_private => \@privfcns ) )
