#!../perl
our $POWER
BEGIN 
    $POWER = 12 # up to 1 MB.  You may adjust the figure here


use Encode
use utf8

my $seed = ""
for my $i (0x00..0xff)
    my $c = chr($i)
    $seed .= ($c =~ m/^\p{IsPrint}/o) ?? $c !! " "


use Test::More tests => $POWER*2
my $octs = $seed
use bytes ()
for my $i (1..$POWER)
    $octs .= $octs
    my $len = bytes::length($octs)
    my $utf8 = Encode::decode('latin1', $octs)
    ok(1, "decode $len bytes")
    is($octs,
       Encode::encode('latin1', $utf8),
       "encode $len bytes")

__END__


