BOOT:
  {
#ifdef dTHX
    dTHX;
#endif
    HV *symbol_table = gv_stashpvn("Event::Lib", 10, GV_ADD);
#ifndef SYMBIAN
    HV *constant_missing;
#endif

    static const struct notfound_s values_for_notfound[] =
      {
#ifdef EVBUFFER_EOF
#else
        { "EVBUFFER_EOF", 12 },
#endif
#ifdef EVBUFFER_ERROR
#else
        { "EVBUFFER_ERROR", 14 },
#endif
#ifdef EVBUFFER_READ
#else
        { "EVBUFFER_READ", 13 },
#endif
#ifdef EVBUFFER_TIMEOUT
#else
        { "EVBUFFER_TIMEOUT", 16 },
#endif
#ifdef EVBUFFER_WRITE
#else
        { "EVBUFFER_WRITE", 14 },
#endif
#ifdef EVLIST_ACTIVE
#else
        { "EVLIST_ACTIVE", 13 },
#endif
#ifdef EVLIST_ALL
#else
        { "EVLIST_ALL", 10 },
#endif
#ifdef EVLIST_INIT
#else
        { "EVLIST_INIT", 11 },
#endif
#ifdef EVLIST_INSERTED
#else
        { "EVLIST_INSERTED", 15 },
#endif
#ifdef EVLIST_INTERNAL
#else
        { "EVLIST_INTERNAL", 15 },
#endif
#ifdef EVLIST_SIGNAL
#else
        { "EVLIST_SIGNAL", 13 },
#endif
#ifdef EVLIST_TIMEOUT
#else
        { "EVLIST_TIMEOUT", 14 },
#endif
#ifdef EVLOOP_NONBLOCK
#else
        { "EVLOOP_NONBLOCK", 15 },
#endif
#ifdef EVLOOP_ONCE
#else
        { "EVLOOP_ONCE", 11 },
#endif
#ifdef EV_PERSIST
#else
        { "EV_PERSIST", 10 },
#endif
#ifdef EV_READ
#else
        { "EV_READ", 7 },
#endif
#ifdef EV_SIGNAL
#else
        { "EV_SIGNAL", 9 },
#endif
#ifdef EV_TIMEOUT
#else
        { "EV_TIMEOUT", 10 },
#endif
#ifdef EV_WRITE
#else
        { "EV_WRITE", 8 },
#endif
#ifdef _EVENT_LOG_DEBUG
#else
        { "_EVENT_LOG_DEBUG", 16 },
#endif
#ifdef _EVENT_LOG_MSG
#else
        { "_EVENT_LOG_MSG", 14 },
#endif
#ifdef _EVENT_LOG_WARN
#else
        { "_EVENT_LOG_WARN", 15 },
#endif
#ifdef _EVENT_LOG_ERR
#else
        { "_EVENT_LOG_ERR", 14 },
#endif
        { NULL, 0 } };
	const struct notfound_s *value_for_notfound = values_for_notfound;

    static const struct iv_s values_for_iv[] =
      {
#ifdef EVBUFFER_EOF
        { "EVBUFFER_EOF", 12, EVBUFFER_EOF },
#endif
#ifdef EVBUFFER_ERROR
        { "EVBUFFER_ERROR", 14, EVBUFFER_ERROR },
#endif
#ifdef EVBUFFER_READ
        { "EVBUFFER_READ", 13, EVBUFFER_READ },
#endif
#ifdef EVBUFFER_TIMEOUT
        { "EVBUFFER_TIMEOUT", 16, EVBUFFER_TIMEOUT },
#endif
#ifdef EVBUFFER_WRITE
        { "EVBUFFER_WRITE", 14, EVBUFFER_WRITE },
#endif
#ifdef EVLIST_ACTIVE
        { "EVLIST_ACTIVE", 13, EVLIST_ACTIVE },
#endif
#ifdef EVLIST_ALL
        { "EVLIST_ALL", 10, EVLIST_ALL },
#endif
#ifdef EVLIST_INIT
        { "EVLIST_INIT", 11, EVLIST_INIT },
#endif
#ifdef EVLIST_INSERTED
        { "EVLIST_INSERTED", 15, EVLIST_INSERTED },
#endif
#ifdef EVLIST_INTERNAL
        { "EVLIST_INTERNAL", 15, EVLIST_INTERNAL },
#endif
#ifdef EVLIST_SIGNAL
        { "EVLIST_SIGNAL", 13, EVLIST_SIGNAL },
#endif
#ifdef EVLIST_TIMEOUT
        { "EVLIST_TIMEOUT", 14, EVLIST_TIMEOUT },
#endif
#ifdef EVLOOP_NONBLOCK
        { "EVLOOP_NONBLOCK", 15, EVLOOP_NONBLOCK },
#endif
#ifdef EVLOOP_ONCE
        { "EVLOOP_ONCE", 11, EVLOOP_ONCE },
#endif
#ifdef EV_PERSIST
        { "EV_PERSIST", 10, EV_PERSIST },
#endif
#ifdef EV_READ
        { "EV_READ", 7, EV_READ },
#endif
#ifdef EV_SIGNAL
        { "EV_SIGNAL", 9, EV_SIGNAL },
#endif
#ifdef EV_TIMEOUT
        { "EV_TIMEOUT", 10, EV_TIMEOUT },
#endif
#ifdef EV_WRITE
        { "EV_WRITE", 8, EV_WRITE },
#endif
#ifdef _EVENT_LOG_DEBUG
        { "_EVENT_LOG_DEBUG", 16, _EVENT_LOG_DEBUG },
#endif
#ifdef _EVENT_LOG_MSG
        { "_EVENT_LOG_MSG", 14, _EVENT_LOG_MSG },
#endif
#ifdef _EVENT_LOG_WARN
        { "_EVENT_LOG_WARN", 15, _EVENT_LOG_WARN },
#endif
#ifdef _EVENT_LOG_ERR
        { "_EVENT_LOG_ERR", 14, _EVENT_LOG_ERR },
#endif
        { NULL, 0, 0 } };
	const struct iv_s *value_for_iv = values_for_iv;
#ifndef SYMBIAN
	constant_missing = get_missing_hash(aTHX);
#endif
        while (value_for_iv->name) {
	    constant_add_symbol(aTHX_  symbol_table, value_for_iv->name,
				value_for_iv->namelen, newSViv(value_for_iv->value));
	    ++value_for_iv;
	}
	while (value_for_notfound->name) {
            SV* namesv = sv_2mortal(newSVpvn("Event::Lib::", 12));
            sv_catpvn(namesv, value_for_notfound->name, value_for_notfound->namelen);
	    GV *gv = gv_fetchsv(namesv, GV_ADD, SVt_PVCV);
	    if (!gv) {
		Perl_croak(aTHX_
			   "Couldn't add key 'Event::Lib::%s'",
			   value_for_notfound->name);
	    }
            CV* notfoundcv = gv_fetchmethod(aTHX_  symbol_table, "constant_not_found");
            if (!notfoundcv) {
		Perl_croak(aTHX_ "'constant_not_found' could not be found");
            }
            sv_setsv((SV*)gv, sv_2mortal(newRV_inc(cvTsv(notfoundcv))));
#ifndef SYMBIAN
	    hv_store(constant_missing, value_for_notfound->name,
			  value_for_notfound->namelen, &PL_sv_yes, 0);
#endif

	    ++value_for_notfound;
	}
    /* As we've been creating subroutines, we better invalidate any cached
       methods  */
    ++PL_sub_generation;
  }

void
constant_not_found()
    PPCODE:
	Perl_croak(aTHX_ "Your vendor has not defined the requested Event::Lib macro");


void
constant(sv)
    PREINIT:
	STRLEN		len;
    INPUT:
	SV *		sv;
        const char *	s = SvPV(sv, len);
    PPCODE:
#ifdef SYMBIAN
	sv = newSVpvf("%"SVf" is not a valid Event::Lib macro", sv);
#else
	HV *constant_missing = get_missing_hash(aTHX);
	if (hv_exists(constant_missing, s, (I32)len)) {
	    sv = newSVpvf("Your vendor has not defined Event::Lib macro %" SVf
			  ", used", sv);
	} else {
	    sv = newSVpvf("%"SVf" is not a valid Event::Lib macro",
			  sv);
	}
#endif
	PUSHs(sv_2mortal(sv));
