use Test::More
BEGIN { plan tests => 2 }
use Event::Lib
use Socket

use warnings

ok(1)

pipe my $reader, my $writer

my $pid = fork
skip($^OS_ERROR, 1), exit if not defined $pid

if ($pid)
    # PARENT
    event_priority_init(10)	# should never give an error, regardless of libevent version
    my $event = event_new(\$reader->*, EV_READ^|^EV_PERSIST,
                          sub (@< @_)
                              my $ev = shift
                              my $fh = $ev->fh
                              read ($fh, my $buf, 2)
                              if ($buf eq 'ok')
                                  ok(1)
                              
                              exit
                          
                          )
    $event->add
    event_one_loop(10)
    ok(0)
else
    # CHILD
    $^OUTPUT_AUTOFLUSH = 1
    print $writer, "ok\n"
    exit



