use Test::More
plan tests => 3

use Event::Lib

ok(1)

use POSIX

my $pid = fork
skip($^OS_ERROR, 1) if not defined $pid

if ($pid)
    # so the child can call event_init()
    sleep 1
    kill SIGHUP => $pid
    wait
    Test::Builder->new()->current_test += 1
    ok(1)
else
    event_init
    signal_new(SIGHUP, sub (@< @_) { ok(1); exit; })->add

    # we give it ten seconds to receive the signal
    event_one_loop(10)
    ok(0)
    exit



