#!/usr/bin/perl

use Test::More tests => 3;

use Graphics::ColorNames < qw( hex2tuple tuple2hex );

my %colors = Graphics::ColorNames->new('X');
ok(%colors);

ok(nelems(%colors->keys) == 760); #

my $count = 0;
foreach my $name (%colors->keys)
  {
    my @RGB = hex2tuple( %colors->get($name) );
    $count++, if (tuple2hex(<@RGB) eq %colors->get($name) );
  }
ok($count == nelems(%colors->keys));
