# Exercise the tokenpos buffer allocation routines by feeding it
# very large tags.

use Test::More tests => 2

use HTML::Parser ()

my $p = HTML::Parser->new(api_version => 3)

$p->handler("start" =>
    sub (@< @_)
        my $tp = shift
        #diag int(@$tp), " - ", join(", ", @$tp);
        is(nelems($tp->@), 2 + 1000 * 4)
    , "tokenpos")

$p->handler("declaration" =>
    sub (@< @_)
        my $t = shift
        #diag int(@$t), " - @$t";
        is(nelems($t->@), 1000 * 2 + 1)
    , "tokens")

$p->parse("<a ")
for (1 .. 1000)
    $p->parse("aa$_=1 ")

$p->parse(">")

$p->parse("<!DOCTYPE ")
for (1..1000)
    $p->parse("aa$_ -- aa$_ -- ")

$p->parse(">")
$p->eof
exit

