#! /usr/bin/perl -ws

use Lingua::EN::Inflect < qw { classical NUM inflect };
our ();

classical if $classical && !$modern;

print \*STDOUT, "count inflection> ";
while ( ~< *ARGV)
{
	chomp;
	exit if m/^\.$/;
	if (m/^\-classical$/)	{ classical ; print \*STDOUT, "[going classical]"}
	elsif (m/^-modern$/)	{ classical 0; print \*STDOUT, "[going modern]" }
	else			
	{
		m/\s*(\S+)\s+(.*)/ and
			print \*STDOUT, "            ", < NUM($1), " ", < inflect($2), "\n"
		or m/\s*(\S*)/ and
			print \*STDOUT, "            ", < inflect($1), "\n";
	}
	print \*STDOUT, "\ncount word> ";
}
