#! /usr/bin/perl -ws

use Lingua::EN::Inflect < qw { classical PL def_noun def_verb def_adj };
our ();

classical if $classical && !$modern;

def_noun 'kin'  => 'kine';

def_verb 'foo'  => 'fee',
	 'foo'  => 'fee',
	 'foos' => 'fee';

def_adj  'red'  => 'red|gules';

print \*STDOUT, "singular> one ";
while ( ~< *ARGV)
{
	chomp;
	exit if m/^\.$/;
	if (m/^\-classical$/)	{ classical ; print \*STDOUT, "[going classical]"}
	elsif (m/^-modern$/)	{ classical 0; print \*STDOUT, "[going modern]" }
	else			{ print \*STDOUT, "   plural> two ", < PL $_ }
	print \*STDOUT, "\nsingular> one ";
}
