#! /usr/bin/perl -ws

use Lingua::EN::Inflect < qw { :COMPARISONS };
our ();

classical if $classical && !$modern;

print \*STDOUT, "compare> ";
while ( ~< *ARGV)
{
	chomp;
	exit if m/^\.$/;
	if (m/^\-classical$/)	{ classical ; print \*STDOUT, "[going classical]"}
	elsif (m/^-modern$/)	{ classical 0; print \*STDOUT, "[going modern]" }
	else		
	{
		if (m/(\S+)\s+(\S+)/)
		{
			print \*STDOUT, "PL:	[", < PL_eq($1, $2), "]\n";
			print \*STDOUT, "PL_N:	[", < PL_N_eq($1, $2), "]\n";
			print \*STDOUT, "PL_V:	[", < PL_V_eq($1, $2), "]\n";
			print \*STDOUT, "PL_ADJ:	[", < PL_ADJ_eq($1, $2), "]\n";
		}
	}
	print \*STDOUT, "\ncompare> ";
}
