#! /usr/bin/perl -ws

use Lingua::EN::Inflect < qw { &inflect &classical };
our ();

classical if $classical && !$modern;

print \*STDOUT, "inflect> ";
while ( ~< *ARGV)
{
	chomp;
	exit if m/^\.$/;
	if (m/^\-classical$/)	{ classical ; print \*STDOUT, "[going classical]"}
	elsif (m/^-modern$/)	{ classical 0; print \*STDOUT, "[going modern]" }
	else			{ print \*STDOUT, < inflect $_ }
	print \*STDOUT, "\ninflect> ";
}
