#!/usr/bin/perl

use lib '.'
use lib 't'
our (@locales);
use SATest; sa_t_init("lang_lint")
use Test::More
BEGIN
    @locales = qw( de es fr it nl pl pl pt_BR )
    plan tests => scalar nelems(@locales)

# ---------------------------------------------------------------------------

our %patterns = %:  q{  }, 'anything' 

for my $locale ( @locales)
    env::var('LANGUAGE' ) = $locale

    sarun ("-L --lint", &patterns_run_cb)
    ok_all_patterns()

