#!/usr/bin/perl

use lib '.'
use lib 't'
use SATest sa_t_init("spamc_headers")

use Test::More tests => (our $SKIP_SPAMC_TESTS ?? 0 !! 5)
exit if our $NO_SPAMC_EXE

# ---------------------------------------------------------------------------

our %patterns = %: 

    q{ Message-Id: <78w08.t365th3y6x7h@yahoo.com> } => 'msgid'
    q{ X-Spam-Status: Yes, } => 'xss'
    q{ TEST_NOREALNAME}, 'noreal'
    q{ subscription cancelable at anytime } => 'body'

    

our %anti_patterns = $%

start_spamd("-L --cf='report_safe 0'")
ok (spamcrun ("--headers < data/spam/009", &patterns_run_cb))
ok_all_patterns()
stop_spamd()

