#!/usr/bin/perl -w

use Test::More

BEGIN
  
    $^OUTPUT_AUTOFLUSH = 1
    # to locate the testing files
    my $location = $^PROGRAM_NAME; $location =~ s/bare_mbi.t//i
    if (-d 't')
        chdir 't'
        require File::Spec
        unshift $^INCLUDE_PATH, File::Spec->catdir(File::Spec->updir, $location)
    else
        unshift $^INCLUDE_PATH, $location
    
    print $^STDOUT, "# INC = $(join ' ',$^INCLUDE_PATH)\n"

    plan tests => 1910


use Math::BigInt lib => 'BareCalc'

print $^STDOUT, "# ",Math::BigInt->config()->{?lib},"\n"

our ($class, $CL)
$class = "Math::BigInt"
$CL = "Math::BigInt::BareCalc"

my $version = '1.84'	# for $VERSION tests, match current release (by hand!)

require 'bigintpm.inc'	# perform same tests as bigintpm

