#!/usr/bin/perl -w

# test rounding, accuracy, precicion and fallback, round_mode and mixing
# of classes under BareCalc

use Test::More

BEGIN
  
    $^OUTPUT_AUTOFLUSH = 1
    # to locate the testing files
    my $location = $^PROGRAM_NAME; $location =~ s/bare_mif.t//i
    unshift $^INCLUDE_PATH, '../lib'	# for testing manually
    if (-d 't')
        chdir 't'
        require File::Spec
        unshift $^INCLUDE_PATH, File::Spec->catdir(File::Spec->updir, $location)
    else
        unshift $^INCLUDE_PATH, $location
    
    print $^STDOUT, "# INC = $(join ' ',$^INCLUDE_PATH)\n"

    plan tests => 681


print $^STDOUT, "# ",Math::BigInt->config()->{?lib},"\n"

use Math::BigInt lib => 'BareCalc'
use Math::BigFloat lib => 'BareCalc'

our ($mbi, $mbf)

$mbi = 'Math::BigInt'
$mbf = 'Math::BigFloat'

is (Math::BigInt->config()->{?lib},'Math::BigInt::BareCalc')

require 'mbimbf.inc'

