#!/usr/bin/perl -w

use Test::More


my $tests

BEGIN
   
    $tests = 3
    plan tests => $tests
    chdir 't' if -d 't'
    use lib '../lib'
;

SKIP:
    do
    skip( 'Test::Pod not installed on this system', $tests )
        unless do
        eval "use Test::Pod;"
        $^EVAL_ERROR ?? 0 !! 1
    
    pod_file_ok( '../lib/Math/BigInt.pm' )
    pod_file_ok( '../lib/Math/BigFloat.pm' )
    pod_file_ok( '../lib/Math/BigInt/Calc.pm' )


