#!/usr/bin/perl -w

# Test use Math::BigFloat with => 'Math::BigInt::SomeSubclass';

use Test::More

BEGIN
  
    $^OUTPUT_AUTOFLUSH = 1
    # to locate the testing files
    my $location = $^PROGRAM_NAME; $location =~ s/with_sub.t//i
    unshift $^INCLUDE_PATH, '../lib'
    if (-d 't')
        chdir 't'
        require File::Spec
        unshift $^INCLUDE_PATH, File::Spec->catdir(File::Spec->updir, $location)
    else
        unshift $^INCLUDE_PATH, $location
    
    print $^STDOUT, "# INC = $(join ' ',$^INCLUDE_PATH)\n"

    plan tests => 1370


use Math::BigFloat with => 'Math::BigInt::Subclass', lib => 'Calc'

our ($class, $try, $x, $y, $f, @args, $ans, $ans1, $ans1_str, $setup, $CL)
$class = "Math::BigFloat"
$CL = "Math::BigInt::Calc"

# the with argument is ignored
is (Math::BigFloat->config()->{?with}, 'Math::BigInt::Calc')

require 'bigfltpm.inc'	# all tests here for sharing
