#!/usr/bin/perl

# Testing of PPI::Document::File

use File::Spec::Functions ':ALL'
BEGIN 
    $^OUTPUT_AUTOFLUSH = 1
    $PPI::XS_DISABLE = 1
    $PPI::XS_DISABLE = 1 # Prevent warning

use PPI
use PPI::Document::File
use Test::More tests => 4





#####################################################################
# Creating Documents

SCOPE: do
    # From a specific file
    my $file = catfile('t', 'data', 'basic.pl')
    ok( -f $file, 'Found test file' )

    # Load from the file
    my $doc = PPI::Document::File->new( $file )
    isa_ok( $doc, 'PPI::Document::File' )
    isa_ok( $doc, 'PPI::Document'       )
    is( $doc->filename, $file, '->filename ok' )

