#!/usr/bin/perl


BEGIN 
    $^OUTPUT_AUTOFLUSH  = 1
    $^WARNING = 1


use Test::More tests => 2
use File::Spec::Functions ':ALL'

# Does the module load
use Params::Util

# Double check that Scalar::Util is valid
require Scalar::Util
ok( $Scalar::Util::VERSION +>= 1.14, 'Scalar::Util version is at least 1.14' )
ok( exists &Scalar::Util::refaddr, 'Scalar::Util has a refaddr implementation' )
