#!/usr/bin/perl

# Test that our META.yml file matches the current specification.


BEGIN 
    $^OUTPUT_AUTOFLUSH  = 1
    $^WARNING = 1


my $MODULE = 'Test::CPAN::Meta 0.07'

# Don't run tests for installs
use Test::More
unless ( env::var('AUTOMATED_TESTING') or env::var('RELEASE_TESTING') )
    plan( skip_all => "Author tests not required for installation" )


# Load the testing module
eval "use $MODULE"
if ( $^EVAL_ERROR )
    env::var('RELEASE_TESTING')
        ?? die( "Failed to load required release-testing module $MODULE" )
        !! plan( skip_all => "$MODULE not available for testing" )


meta_yaml_ok()
