#!/usr/bin/perl -w



use lib './t'

use Params::Validate < qw(validate)

use Test::More
plan tests => 3

dies_like( { foo() },
           qr/parameter 'foo'/ )

do
    local $Params::Validate::NO_VALIDATION = 1

    try { foo() }
    ok( ! $^EVAL_ERROR )


do
    try { foo() }
    ok( $^EVAL_ERROR->{?description} =~ m/parameter 'foo'/ )


sub foo
    validate( @_, (%:  foo => 1 ) )

