#!/usr/bin/perl -w



use Params::Validate < qw(validate)
use Test::More tests => 2

do
    my @w
    local $^WARN_HOOK = sub (@< @_) { push @w, < @_ }

    my @p = @:  foo => undef
    try { validate( @p, \(%:  foo => \(%:  regex => qr/^bar/ ) ) ) }
    ok( $^EVAL_ERROR, 'validation failed' )
    ok( ! nelems(@w), 'no warnings' )

