#!/usr/bin/perl -w

use Scriptalicious

my $what = "string"
my $prompt = "enter value:"
my $default = undef
my $for

getopt( "int|i" => sub (@< @_) { $what = "int" },
        "string|s" => sub (@< @_) { $what = "string" },
        "yn|y" => sub (@< @_) { $what = "yn" },
        "yes|Y" => sub (@< @_) { $what = "Yn" },
        "no|N" => sub (@< @_) { $what = "yN" },
        "prompt|p=s" => \$prompt,
        "for|f=s" => \$for,
        "default|D=s" => \$default,
        )

my $val
if ( $for )
    mutter "prompting for $for ($what)"
    $val = prompt_for
     ( "-$what" => $for, (defined($default) ?? ($default) !! ()) )

else

    mutter "prompt_$what"
    $val = Symbol::fetch_glob("prompt_$what")->*
     ->( $prompt, (defined($default) ?? ($default) !! ()) )



say "response: `$val'"
