use lib 't', 'lib'

use warnings

package XXX
BEGIN {require Thing}
use base 'Thing'

package Foo
use base 'Spiffy'
BEGIN { @Foo::EXPORT=qw(xxx) }
sub xxx {}

package Bar
use base 'Foo', 'Thing'

package Boo
BEGIN { @Boo::EXPORT=qw(xxx) }
sub xxx {}

package Goo
use base 'Boo'

package Something
use base 'Spiffy'
BEGIN { @Something::EXPORT = qw(qwerty) }
sub qwerty {}

package SomethingGood
use base 'Something'

package main
use Test::More tests => 24

ok(Thing->isa('Spiffy'))
ok(exists &XXX::thing)
ok(exists &XXX::field)
ok(exists &XXX::const)

ok(exists &Foo::field)
ok(exists &Foo::const)
ok(exists &Foo::xxx)

ok(Bar->isa('Spiffy'))
ok(Bar->isa('Foo'))
ok(Bar->isa('Thing'))
ok(exists &Bar::field)
ok(exists &Bar::const)
ok(exists &Bar::xxx)
ok(exists &Bar::thing)

ok(not Boo->isa('Spiffy'))
ok(exists &Boo::xxx)

ok(not Goo->isa('Spiffy'))
ok(Goo->isa('Boo'))
ok(not exists &Goo::xxx)

ok(SomethingGood->isa('Something'))
ok(SomethingGood->isa('Spiffy'))
ok(not SomethingGood->isa('Thing'))
ok(not exists &SomethingGood::thing)

ok(not nelems(@Spiffy::ISA))
