#!perl

use warnings
use Test::More

if (env::var('PERL_TEST_CRITIC'))
    if (try { require Test::Perl::Critic })
        Test::Perl::Critic::all_critic_ok()
    else
        plan skip_all => "couldn't load Test::Perl::Critic"
    
else
    plan skip_all => "define PERL_TEST_CRITIC to run these tests"

