# -*- perl -*-

use Text::CSV_XS ()

#
#	Some assorted examples from the modules history
#


do
    my $testNum = 0
    sub Test($result)
        $testNum++
        print($^STDOUT, ($result ?? "" !! "not "), "ok $testNum\n")
        $result
    


$^OUTPUT_AUTOFLUSH = 1
print $^STDOUT, "1..7\n"



#
#	"Pavel Kotala" <pkotala@logis.cz>
#
do
    my $csv = Text::CSV_XS->new(\(%: 'quote_char' => '"'
                                     'escape_char' => '\'
                                     'sep_char' => ';'
                                     'binary' => 1))
    Test($csv)
    my @list = @: "c:\\winnt", "text"
    Test($csv->combine(< @list))
    my $line = $csv->string()
    Test($line)
    Test($csv->parse($line))
    my @olist = $csv->fields()
    Test(nelems(@list) == nelems(@olist))
    Test(@list[0] eq @olist[0])
    Test(@list[1] eq @olist[1])

