#!perl -w

print $^STDOUT, "1..8\n"

use URI

my $u = URI->new("<mms://66.250.188.13/KFOG_FM>")

#print "$u\n";
print $^STDOUT, "not " unless $u->as_string eq "mms://66.250.188.13/KFOG_FM"
print $^STDOUT, "ok 1\n"

print $^STDOUT, "not " unless $u->port == 1755
print $^STDOUT, "ok 2\n"

# play with port
my $old = $u->port(8755)
print $^STDOUT, "not " unless $old == 1755 && $u->as_string eq "mms://66.250.188.13:8755/KFOG_FM"
print $^STDOUT, "ok 3\n"

$u->port(1755)
print $^STDOUT, "not " unless $u->as_string eq "mms://66.250.188.13:1755/KFOG_FM"
print $^STDOUT, "ok 4\n"

$u->port("")
print $^STDOUT, "not " unless $u->as_string eq "mms://66.250.188.13:/KFOG_FM" && $u->port == 1755
print $^STDOUT, "ok 5\n"

$u->port(undef)
print $^STDOUT, "not " unless $u->as_string eq "mms://66.250.188.13/KFOG_FM"
print $^STDOUT, "ok 6\n"

print $^STDOUT, "not " unless $u->host eq "66.250.188.13"
print $^STDOUT, "ok 7\n"

print $^STDOUT, "not " unless $u->path eq "/KFOG_FM"
print $^STDOUT, "ok 8\n"
