#!perl

use warnings


use Test::More tests => 5

BEGIN 
    use_ok( 'WWW::Mechanize::Link' )


NO_BASE: do
    my $link = WWW::Mechanize::Link->new( "url.html", "Click here", undef, undef )
    isa_ok( $link, "WWW::Mechanize::Link", "constructor OK" )

    my $URI = $link->URI
    isa_ok( $URI, "URI::URL", "URI is proper type" )
    is( $URI->rel->as_string, "url.html", "Short form of the url" )
    is( $link->url_abs->as_string, "url.html", "url_abs works" )

