#!perl

use warnings;
use Test::More;

BEGIN {
    eval "use Test::Warn";
    plan skip_all => "Test::Warn required to test warnings" if $^EVAL_ERROR;
    plan tests => 3;
}

BEGIN {
    use_ok( 'WWW::Mechanize' );
}

UNKNOWN_ALIAS: {
    my $m = WWW::Mechanize->new;
    isa_ok( $m, 'WWW::Mechanize' );
 {
        $m->agent_alias( "Blongo" );
    }->
    warning_is( 'Unknown agent alias "Blongo"', "Unknown aliases squawk appropriately");
}
