
use Test::More tests => 2

use XML::Parser

my $cnt = 0
my $str

sub tmpchar($xp, $data)

    if ($xp->current_element eq 'day')
        $str = $xp->original_string
        $xp->setHandlers(Char => 0)
    


my $p = XML::Parser->new(Handlers => \(%: Comment => sub (@< @_) {$cnt++;}
                                          Char    => &tmpchar
    ))

my $xpnb = $p->parse_start

open(my $rec_fh, "<", 'samples/REC-xml-19980210.xml')

while ( ~< $rec_fh->*)
    $xpnb->parse_more($_)


close($rec_fh)

$xpnb->parse_done

is($cnt, 37)

is($str, '&draft.day;')

