use Test::More
BEGIN { plan tests => 2 }
use XML::SAX::Base


# Tests for in-stream switch of Handler classes.
my $handler = HandlerOne->new()
my $filter  = FilterOne->new( ContentHandler => $handler )
my $driver  = Driver->new( Handler => $filter)

ok( (ref $filter->get_handler('ContentHandler')) =~ m/HandlerOne/ )
ok( (ref $filter->get_content_handler()) =~ m/HandlerOne/ )

# end main

package HandlerOne
use base < qw(XML::SAX::Base)

1

package FilterOne
use base < qw(XML::SAX::Base)

1


package Driver
use base < qw(XML::SAX::Base)

1

