use Test::More
BEGIN { plan tests => 5 }

use XML::XPath
ok(1)

my $xp = XML::XPath->new(ioref => $^DATA)
ok($xp)

my @nodes

@nodes = $xp->findnodes('/AAA/CCC/DDD/*')
is(nelems(@nodes), 4)

@nodes = $xp->findnodes('/*/*/*/BBB')
is(nelems(@nodes), 5)

@nodes = $xp->findnodes('//*')
is(nelems(@nodes), 17)

__DATA__
<AAA>
<XXX><DDD><BBB/><BBB/><EEE/><FFF/></DDD></XXX>
<CCC><DDD><BBB/><BBB/><EEE/><FFF/></DDD></CCC>
<CCC><BBB><BBB><BBB/></BBB></BBB></CCC>
</AAA>
