use Test::More
BEGIN { plan tests => 5 }

use XML::XPath
ok(1)

my $xp = XML::XPath->new(ioref => $^DATA)
ok($xp)

my @nodes
@nodes = $xp->findnodes('//*[name() = "BBB"]')
is(nelems(@nodes), 5)

@nodes = $xp->findnodes('//*[starts-with(name(), "B")]')
is(nelems(@nodes), 7)

@nodes = $xp->findnodes('//*[contains(name(), "C")]')
is(nelems(@nodes), 3)

__DATA__
<AAA>
<BCC><BBB/><BBB/><BBB/></BCC>
<DDB><BBB/><BBB/></DDB>
<BEC><CCC/><DBD/></BEC>
</AAA>
