use Test::More
BEGIN { plan tests => 6 }

use XML::XPath
ok(1)

my $xp = XML::XPath->new(ioref => $^DATA)
ok($xp)

my @nodes
@nodes = $xp->findnodes('//CCC | //BBB')
is(nelems(@nodes), 3)
is(@nodes[0]->getName, "BBB") # test document order

@nodes = $xp->findnodes('/AAA/EEE | //BBB')
is(nelems(@nodes), 2)

@nodes = $xp->findnodes('/AAA/EEE | //DDD/CCC | /AAA | //BBB')
is(nelems(@nodes), 4)

__DATA__
<AAA>
<BBB/>
<CCC/>
<DDD><CCC/></DDD>
<EEE/>
</AAA>
