# $Id: stress.t,v 1.3 2000/04/17 17:08:58 matt Exp $

use Test::More tests => 7

use XML::XPath
use XML::XPath::Parser

my $xp = XML::XPath->new( filename => 'examples/test.xml' )

ok($xp)

my $pp = XML::XPath::Parser->new()

ok($pp)

# test path parse time
for (1..5000)
    $pp->parse('//project/wednesday')


ok($pp)

my $parser = XML::XPath::XMLParser->new(
    filename => 'examples/test.xml'
    )

ok($parser)

my $root = $parser->parse

ok($root)

# test evaluation time
my $path = $pp->parse('/timesheet/projects/project/wednesday')

ok($path)

for (1..1000)
    $path->evaluate($root)


ok 1

