#!perl -w

use warnings


use Test::More tests => 5

BEGIN { use_ok( 'Carp::Assert::More' ); }

local $^EVAL_ERROR = undef
$^EVAL_ERROR = ''

# 3 is defined
try {
    assert_defined( 3 );
}
is( $^EVAL_ERROR, '' )

# 0 is defined (false, but defined)
try {
    assert_defined( 0 );
}
is( $^EVAL_ERROR, '' )

# '' is defined (false, but defined)
try {
    assert_defined( 0 );
}
is( $^EVAL_ERROR, '' )

dies_like { assert_defined( undef ) }
  , qr/Assertion.*failed/
