
use Test::More tests => 4

use lib 't/lib'
use Foo::Valid                  # should be use()

ok(Foo::Valid->add_trigger(before_foo => sub { }))
ok(Foo::Valid->add_trigger(before_foo => sub { }))

try {
    Foo::Valid->add_trigger(invalid => sub { });
}
like $^EVAL_ERROR->{?description}, qr/invalid is not valid triggerpoint for Foo::Valid/

my $foo = Foo::Valid->new
dies_like { $foo->bar }, qr/invalid is not valid triggerpoint for Foo::Valid/
