# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

use Test::More tests => 8
use Clone::PP < qw( clone )

use Benchmark
use Data::Dumper
# use Storable qw( dclone );

$^WARNING = 0


package Test::Hash

@Test::Hash::ISA = @:  < qw( Clone::PP ) 

sub new($class)
    my $self = \$%
    bless $self, $class


my $ok = 0
END { $ok = 1; };
sub DESTROY
    my $self = shift
    main::ok( not $ok )


package main

do
    my $a = Test::Hash->new()
    my $b = $a->clone
# my $c = dclone($a);


# benchmarking bug
do
    my $a = Test::Hash->new()
    my $sref = sub (@< @_) { my $b = clone($a) }
    $sref->()


# test for cloning unblessed ref
do
    my $a = \$%
    my $b = clone($a)
    bless $a, 'Test::Hash'
    bless $b, 'Test::Hash'


# test for cloning unblessed ref
do
    my $a = \$@
    my $b = clone($a)
    bless $a, 'Test::Hash'
    bless $b, 'Test::Hash'

