#!/usr/bin/perl


BEGIN 
    $^OUTPUT_AUTOFLUSH  = 1
    $^WARNING = 1

use Test::More

# Skip if doing a regular install
unless ( env::var('AUTOMATED_TESTING') )
    plan( skip_all => "Author tests not required for installation" )


# Can we run the version tests
eval "use Test::MinimumVersion 0.007;"
if ( $^EVAL_ERROR )
    plan( skip_all => "Test::MinimumVersion not available" )


# Test minimum version
all_minimum_version_from_metayml_ok()
