#!/usr/local/bin/perl
#
#   $Id: 00base.t 1103 2003-03-18 02:53:28Z rlippan $
#
#   This is the base test, tries to install the drivers. Should be
#   executed as the very first test.
#


#
#   Include lib.pl
#
our $mdriver = ""
foreach my $file ((@: "lib.pl", "t/lib.pl"))
    evalfile $file; if ($^EVAL_ERROR) { print $^STDERR, "Error while executing lib.pl: $($^EVAL_ERROR->message)\n";
        exit 10;
    }
    if ($mdriver ne '')
        last
    


# Base DBD Driver Test

use Test::More

plan tests => 2

require DBI
DBI->import()

# This is a special case. install_driver should not normally be used.
my $drh = DBI->install_driver($mdriver)

ok(ref $drh eq 'DBI::dr')

ok($drh->Version)
