#!/usr/bin/perl -w
our @files;
use Test::More;

BEGIN {
    eval "require File::Find::Rule";
    if ($^EVAL_ERROR)
    {
        plan skip_all => "File::Find::Rule not installed";
    }
    @files = File::Find::Rule->file()->name( '*.pm', '*.pod' )->in( 'blib/lib' );
}

plan tests => nelems(@files);

eval "use Test::Pod 0.95";
SKIP: {
    skip "Test::Pod 0.95 not installed.", scalar @files if $^EVAL_ERROR;
    pod_file_ok( $_ ) for @files;
}
