#
# $Id: mime-name.t,v 1.1 2007/05/12 06:42:19 dankogai Exp $
# This script is written in utf8
#
BEGIN 
    $^OUTPUT_AUTOFLUSH = 1


use warnings
use Encode
#use Test::More qw(no_plan);
use Test::More tests => 68

use_ok("Encode::MIME::Name")
for my $canon ( sort keys %Encode::MIME::Name::MIME_NAME_OF )
    my $enc       = find_encoding($canon)
    my $mime_name = %Encode::MIME::Name::MIME_NAME_OF{?$canon}
    is $enc->mime_name, $mime_name,
       qq(\$enc->mime_name("$canon") eq $mime_name)


__END__;
