# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Event-Lib.t'

#########################

# change 'tests => 2' to 'tests => last_test_to_print';

use Test::More
BEGIN { plan tests => 2 };
use Event::Lib
ok(1) # If we made it this far, we're ok.

my $fail
foreach my $constname (qw(
	EVBUFFER_EOF EVBUFFER_ERROR EVBUFFER_READ EVBUFFER_TIMEOUT
	EVBUFFER_WRITE EVLIST_ACTIVE EVLIST_ALL EVLIST_INIT EVLIST_INSERTED
	EVLIST_INTERNAL EVLIST_SIGNAL EVLIST_TIMEOUT EVLOOP_NONBLOCK
	EVLOOP_ONCE EV_PERSIST EV_READ EV_SIGNAL EV_TIMEOUT EV_WRITE
	_EVENT_LOG_DEBUG _EVENT_LOG_MSG _EVENT_LOG_WARN _EVENT_LOG_ERR
	))
    next if (eval "my \$a = Event::Lib::$constname(); 1")
    if ($^EVAL_ERROR =~ m/^Your vendor has not defined Event::Lib macro $constname/)
        print $^STDOUT, "# pass: $^EVAL_ERROR"
    else
        print $^STDOUT, "# fail: $^EVAL_ERROR"
        $fail = 1
    

ok(!$fail)

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

