use Test::More
BEGIN { plan tests => 5 }

use Event::Lib
ok(1)
use Data::Dumper

sub handler($ev, $err, $type, @< @args)
    ok($err->message =~ m/^exception/)
    timer_new(
              sub (@< @_)
                  ok(1)
                  exit
              )->add(0.25)



sub time1($ev, $type, @< @args)
    ok(1)
    timer_new(&time2, < @args)->add(0.25)


sub time2($ev, $type, @< @args)
    ok(1)
    timer_new(&time3, < @args)->add(0.25)


sub time3($ev, $type, @< @args)
    die "exception"


event_register_except_handler(&handler)
timer_new(&time1, < 1 .. 10_000)->add(0.25)
event_mainloop
ok(0)
