#!/usr/buin/perl

use Test::More tests => 3;

use Graphics::ColorNames v1.06 < qw( hex2tuple tuple2hex );

my %colors = Graphics::ColorNames->new( 'Windows' );
ok(%colors);

ok(nelems(%colors->keys) == 16);

my $count = 0;
foreach my $name (%colors->keys)
  {
    my @RGB = hex2tuple( %colors->get($name) );
    $count++, if (tuple2hex(<@RGB) eq %colors->get($name) );
  }
ok($count == nelems(%colors->keys));
