#! /usr/bin/perl -ws

use Lingua::EN::Inflect < qw { :USER_DEFINED classical NO };
our ();

classical if $classical && !$modern;

def_noun 'kin'   => 'kine';
def_noun '(.*)x' => '$1xen';

def_verb 'foo'  => 'fee',
	 'foo'  => 'fee',
	 'foos' => 'fee';

def_adj  'red'  => 'red|gules';

print \*STDOUT, "count word> ";
while ( ~< *ARGV)
{
	chomp;
	exit if m/^\.$/;
	if (m/^\-classical$/)	{ classical ; print \*STDOUT, "[going classical]"}
	elsif (m/^-modern$/)	{ classical 0; print \*STDOUT, "[going modern]" }
	else			
	{
		m/\s*([^\s]+)\s+(.*)/ or next;
		print \*STDOUT, "            ", < NO($2,$1), "\n";
	}
	print \*STDOUT, "\ncount word> ";
}
