package Globby

# More-portable but limited glob().  It does what we need.

use Exporter
our (@ISA, @EXPORT)

@ISA    = qw(Exporter)
@EXPORT = qw(globby)

sub globby
    my $globpath = shift    # full glob
    my %r = (%: '.'=>'\.'
                '*'=>'.*'
                '?'=>'.')

    # Get directory and regexp:
    my (@: $dir, $glob) = @: $globpath =~ m{^(.*?)/?([^/]+\Z)}
    defined($dir) or $dir = ''
    my $re = $glob; $re =~ s{([\.\*\?])}{%r{?$1}}g

    # Get files which match pattern:
    my @f
    if (opendir my $dh, $dir)
        @f = grep { m/^$re\Z/ }, sort( (@: readdir($dh)))
        closedir $dh
    
     map { ($dir ne '') ?? "$dir/$_" !! $_}, @f

1
