#!/usr/bin/perl

use lib '.'
use lib 't'
use SATest sa_t_init("prefs_include")
use Test::More tests => 2

env::var('LANGUAGE' ) = 'C'
env::var('LC_ALL' ) = 'C'             # a cheat, but we need the patterns to work

# ---------------------------------------------------------------------------

our %patterns = %: 

    q{X-Spam-Report: =?UTF-8?Q? }, 'qp-encoded-hdr'
    q{ Invalid Date: header =c2=ae =c2=af =c2=b0 foo }, 'qp-encoded-desc'

    

use utf8

our $default_cf_lines

tstprefs ("
        $default_cf_lines
        include prefs_include.inc
        ")

open (my $out, ">:encoding(latin1)", "log/prefs_include.inc") or die "open log/prefs_include.inc failed"
print $out, "
        report_safe 0
	describe INVALID_DATE	Invalid Date: header \x{ae} \x{af} \x{b0} foo
	"
close $out

sarun ("-L -t < data/spam/001", &patterns_run_cb)
ok_all_patterns()

