#!/usr/bin/perl

use lib '.'
use lib 't'
use SATest sa_t_init("spamc_c_stdout_closed")
use Test::More tests => (our $SKIP_SPAMC_TESTS ?? 0 !! 2)

exit if our $SKIP_SPAMC_TESTS

# ---------------------------------------------------------------------------

our %patterns = $%

start_spamd("-L")

my @warnings
sub myrun
    open (my $oldout, ">&", $^STDOUT)
    close $^STDOUT

    # redirect warnings to (the real) STDOUT
    local($^WARN_HOOK) = sub (@< @_) { print $oldout, @_[0]->message, @_[0]->stacktrace }

    my $ret = spamcrun (< @_)

    open ($^STDOUT, ">&", \$oldout->*)

    return $ret


ok (!myrun ("-c < data/spam/001", &patterns_run_cb))
ok (myrun ("-c < data/nice/001", &patterns_run_cb))
stop_spamd()


