#!/usr/bin/perl -w

# check that simple requiring BigFloat and then new() works


use Test::More

BEGIN
  
    $^OUTPUT_AUTOFLUSH = 1
    # to locate the testing files
    my $location = $^PROGRAM_NAME; $location =~ s/req_mbfn.t//i
    if (-d 't')
        chdir 't'
        require File::Spec
        unshift $^INCLUDE_PATH, File::Spec->catdir(File::Spec->updir, $location)
    else
        unshift $^INCLUDE_PATH, $location
    
    print $^STDOUT, "# INC = $(join ' ',$^INCLUDE_PATH)\n"

    plan tests => 1


require Math::BigFloat; my $x = Math::BigFloat->new(1);  $x->binc
is ($x->bstr,2)

# all tests done

