#!/usr/bin/perl -w

# test that the new alias names work

use Test::More

BEGIN
  
    $^OUTPUT_AUTOFLUSH = 1
    # to locate the testing files
    my $location = $^PROGRAM_NAME; $location =~ s/sub_ali.t//i
    unshift $^INCLUDE_PATH, < qw(../lib)
    if (-d 't')
        chdir 't'
        require File::Spec
        unshift $^INCLUDE_PATH, File::Spec->catdir(File::Spec->updir, $location)
    else
        unshift $^INCLUDE_PATH, $location
    
    print $^STDOUT, "# INC = $(join ' ',$^INCLUDE_PATH)\n"

    plan tests => 6


use Math::BigInt::Subclass

our ($CL, $x)
$CL = 'Math::BigInt::Subclass'

require 'alias.inc'

