#!/usr/bin/perl -w

# test rounding, accuracy, precicion and fallback, round_mode and mixing
# of classes

use Test::More

BEGIN
  
    $^OUTPUT_AUTOFLUSH = 1
    # to locate the testing files
    my $location = $^PROGRAM_NAME; $location =~ s/sub_mif.t//i
    unshift $^INCLUDE_PATH, '../lib'	# for testing manually
    if (-d 't')
        chdir 't'
        require File::Spec
        unshift $^INCLUDE_PATH, File::Spec->catdir(File::Spec->updir, $location)
    else
        unshift $^INCLUDE_PATH, $location
    
    print $^STDOUT, "# INC = $(join ' ',$^INCLUDE_PATH)\n"

    plan tests => 680


use Math::BigInt::Subclass
use Math::BigFloat::Subclass

our ($mbi, $mbf)

$mbi = 'Math::BigInt::Subclass'
$mbf = 'Math::BigFloat::Subclass'

require 'mbimbf.inc'

