$^OUTPUT_AUTOFLUSH = 1
my $t = 1
print $^STDOUT, "1..37\n"
try { require Math::Rand48 }
warn $^EVAL_ERROR if $^EVAL_ERROR
print $^STDOUT, "not " if $^EVAL_ERROR
print $^STDOUT, "ok ",$t++,"\n"
try { Math::Rand48->import }
warn $^EVAL_ERROR if $^EVAL_ERROR
print $^STDOUT, "not " if $^EVAL_ERROR
print $^STDOUT, "ok ",$t++,"\n"

our (@d, @e, @x)

my $i
my $s = seed48($i)
my $x = $s
seed48($s)
for my $i (0..4)
    @d[+$i] = drand48()
    print $^STDOUT, "not " unless (0 +<= @d[$i] && @d[$i] +< 1.0)
    print $^STDOUT, "ok ",$t++,"\n"

for my $i (0..4)
    @e[+$i] = erand48($s)
    print $^STDOUT, "not " unless (0 +<= @e[$i] && @e[$i] +< 1.0)
    print $^STDOUT, "ok ",$t++,"\n"
    unless (@e[$i] == @d[$i])
        warn sprintf("e = \%g d = \%g \n",@e[$i],@d[$i])
        print $^STDOUT, "not "
    
    print $^STDOUT, "ok ",$t++,"\n"


for my $i (0..4)
    @x[+$i] = erand48($x)
    print $^STDOUT, "not " unless (0 +<= @x[$i] && @x[$i] +< 1.0)
    print $^STDOUT, "ok ",$t++,"\n"
    unless (@e[$i] == @x[$i])
        warn sprintf("e = \%g x = \%g \n",@e[$i],@x[$i])
        print $^STDOUT, "not "
    
    print $^STDOUT, "ok ",$t++,"\n"


undef $x
for my $i (0..4)
    @d[$i] = erand48($x)
    print $^STDOUT, "not " unless (0 +<= @x[$i] && @x[$i] +< 1.0)
    print $^STDOUT, "ok ",$t++,"\n"
    if ($i)
        print $^STDOUT, "not " if (@d[$i] == @d[$i-1])
        print $^STDOUT, "ok ",$t++,"\n"
    


print $^STDOUT, "not " if erand48($x = "Foo") == erand48($x = "Bar")
print $^STDOUT, "ok ",$t++,"\n"

