#!/usr/local/bin/perl


use warnings

use Net::DNS
use Net::DNS::Resolver::Recurse

my $res = Net::DNS::Resolver::Recurse->new


$res->recursion_callback(sub (@< @_)
    my $packet = shift

    $_->print for  $packet->additional

    printf($^STDOUT, ";; Received \%d bytes from \%s\n\n", < $packet->answersize, < $packet->answerfrom)
)


$res->query_dorecursion(< @ARGV)
