#!/usr/bin/perl


BEGIN 
    $^OUTPUT_AUTOFLUSH  = 1
    $^WARNING = 1


use Test::More tests => 19
use File::Spec::Functions ':ALL'
use Params::Util ':ALL'




#####################################################################
# Is everything imported

ok( exists &_IDENTIFIER, '_IDENTIFIER imported ok' )
ok( exists &_CLASS,      '_CLASS imported ok'      )
ok( exists &_NUMBER,     '_NUMBER imported ok'     )
ok( exists &_POSINT,     '_POSINT imported ok'     )
ok( exists &_NONNEGINT,  '_NONNEGINT imported ok'  )
ok( exists &_SCALAR,     '_SCALAR imported ok'     )
ok( exists &_SCALAR0,    '_SCALAR0 imported ok'    )
ok( exists &_ARRAY,      '_ARRAY imported ok'      )
ok( exists &_ARRAY0,     '_ARRAY0 imported ok'     )
ok( exists &_ARRAYLIKE,  '_ARRAYLIKE imported ok'  )
ok( exists &_HASH,       '_HASH imported ok'       )
ok( exists &_HASH0,      '_HASH0 imported ok'      )
ok( exists &_HASHLIKE,   '_HASHLIKE imported ok'   )
ok( exists &_CODE,       '_CODE imported ok'       )
ok( exists &_CODELIKE,   '_CODELIKE imported ok'   )
ok( exists &_INSTANCE,   '_INSTANCE imported ok'   )
ok( exists &_SET,        '_SET imported ok'        )
ok( exists &_SET0,       '_SET0 imported ok'       )
ok( exists &_HANDLE,     '_HANDLE imported ok'     )

1
