#!/usr/bin/perl

use warnings

use Test::More 'no_plan'

use PerlIO::via::Zlib

do
    open my $fh, '<:via(Zlib)', 't/test.txt.gz' or die "Failed opening test.txt.gz: $^OS_ERROR"
    my $lines = @: ~< $fh
    is_deeply( $lines, @: "hello world\n", "this is a test\n", "\n" )


do
    open my $fh, '<:via(Zlib)', 't/basic.t' or die "Failed opening test.txt.gz: $^OS_ERROR"
    my $buffer = ''
    my $res = read($fh, $buffer, 1)
    is($res, undef)

