#  -*- perl -*-

use warnings

use Test::More tests => 2

use Scriptalicious

env::var('PERL5LIB' ) = join ":", @:  "lib", < split ":", (env::var('PERL5LIB') || "")

SKIP: do
    eval 'use YAML'
    if ( $^EVAL_ERROR )
        skip "YAML not installed",1
    
    my $output = capture($^EXECUTABLE_NAME, "t/dump.pl")
    is($output, "---\nHello: world", "YAML anydump")


env::var('PERL5LIB' ) = join ":", @:  "t/missing", < split ":", (env::var('PERL5LIB') || "")

my $output = capture($^EXECUTABLE_NAME, "t/dump.pl")
is($output, q{$x = \%(:
       "Hello" => "world"
     );}, "Data::Dumper anydump")
