
use Exporter

use Scriptalicious
our (@EXPORT, $testfile, $pid)
BEGIN 
    @EXPORT = qw($testfile)
    $pid = $^PID


$testfile = "/tmp/testfile.$^PID"

sub slurp
    my $fn = shift
    open my $x_fh, "<", "$fn" or barf "failed to open $fn for slurping; $^OS_ERROR"
    my @x = @: ~< $x_fh->* 
    close $x_fh
    return join "", @x


sub slop
    my $fn = shift
    open my $x_fh, ">", "$fn" or barf "failed to slop to $fn; $^OS_ERROR"
    while ( nelems(@_) )
        my $l = shift
        $l .= "\n" unless $l =~ m/\n/
        print $x_fh, $l
    
    close $x_fh


END 
    unlink($testfile) if $testfile and $^PID == $pid

