use lib 'lib'

package Foo

use Spiffy "base"
use Cwd
our @EXPORT = qw(cwd)

package Bar

Foo->base
our @EXPORT = qw(doodle)
sub doodle {}
sub poodle {}

package Baz

Bar->base

package main

use Test::More tests => 12

ok(not exists &Foo::import)
ok(exists &Foo::cwd)
ok(not exists &Foo::doodle)
ok(not exists &Foo::poodle)

ok(not exists &Bar::import)
ok(exists &Bar::cwd)
ok(exists &Bar::doodle)
ok(exists &Bar::poodle)

ok(not exists &Baz::import)
ok(exists &Baz::cwd)
ok(exists &Baz::doodle)
ok(not exists &Baz::poodle)
