use lib 't'

use warnings

package A
# Exporter before 5.8.4 needs the tag as the first thing imported
use Spiffy "base", < qw(:XXX const)

package B
use base 'A'

package C
use Spiffy "XXX", "base"

package D
use Spiffy "base"

package E
use Spiffy "base", 'XXX'

package F
use Spiffy "base"
use Spiffy 'XXX'

package main
use Test::More tests => 24

ok(not exists &A::field)
ok(exists &A::const)
ok(exists &A::XXX)
ok(exists &A::YYY)

ok(exists &B::field)
ok(exists &B::const)
ok(not exists &B::XXX)
ok(not exists &B::YYY)

ok(exists &C::field)
ok(exists &C::const)
ok(exists &C::XXX)
ok(exists &C::YYY)

ok(exists &D::field)
ok(exists &D::const)
ok(not exists &D::XXX)
ok(not exists &D::YYY)

do
    local our $TODO = 1
    ok(not exists &E::field)
    ok(not exists &E::const)
    $TODO = 0
    ok(exists &E::XXX)
    $TODO = 1
    ok(not exists &E::YYY)


ok(exists &F::field)
ok(exists &F::const)
do
    local our $TODO = 1
    ok(exists &F::XXX)

ok(not exists &F::YYY)
