#!/usr/bin/perl -w

BEGIN 
    if ( env::var('PERL_CORE') )
        chdir 't'
        $^INCLUDE_PATH = @:  '../lib', 'lib' 
    else
        unshift $^INCLUDE_PATH, 't/lib'
    


use lib 't/lib'
use Test::More tests => 1
use File::Spec
use App::Prove

my $prove = App::Prove->new

$prove->add_rc_file(
    File::Spec->catfile(
    ( env::var('PERL_CORE') ?? 'lib' !! 't' ), 'data', 'proverc'
    )
    )

is_deeply $prove->{?rc_opts},
          \(@:  '--should', 'be', '--split', 'correctly', 'Can', 'quote things'
                'using single or', 'double quotes', '--this', 'is', 'OK?'
          ),
          'options parsed'

