#!/usr/bin/perl -w

# Load test the Test::Object module

use lib ();
use File::Spec::Functions ':ALL';
BEGIN {
        $^OUTPUT_AUTOFLUSH = 1;
        unless ( env::var('HARNESS_ACTIVE') ) {
                require FindBin;
                $FindBin::Bin = $FindBin::Bin; # Avoid a warning
                chdir catdir( $FindBin::Bin, < updir() );
                lib->import( <
                        catdir('blib', 'arch'), <
                        catdir('blib', 'lib' ), <
                        catdir('lib'),
                        );
        }
}

# Does everything load?
use Test::More 'tests' => 1;
use Test::Object;

ok 1;

1;
