# -*- perl -*-


use Text::CSV_XS ()


do
    my $testNum = 0
    sub Test($result)
        $testNum++
        print($^STDOUT, ($result ?? "" !! "not "), "ok $testNum\n")
        $result
    


$^OUTPUT_AUTOFLUSH = 1
$^WARNING = 1


print $^STDOUT, "1..12\n"

my $csv = Text::CSV_XS->new(\ %: 'types' => \ @: Text::CSV_XS::IV()
                                                 Text::CSV_XS::PV()
                                                 Text::CSV_XS::NV())
Test($csv)
Test(nelems($csv->{?'types'}->@) == 3)
Test($csv->{'types'}->[0] == Text::CSV_XS::IV()  and
     $csv->{'types'}->[1] == Text::CSV_XS::PV()  and
     $csv->{'types'}->[2] == Text::CSV_XS::NV())
Test(length($csv->{?'_types'}) == 3)
Test($csv->{?'_types'} eq
     chr(Text::CSV_XS::IV()) . chr(Text::CSV_XS::PV()) .
     chr(Text::CSV_XS::NV()))

Test($csv->combine('', '', '1.00'))
Test($csv->string() eq ",,1.00")
my $warning
$^WARN_HOOK = sub (@< @_) { $warning = shift->message }
Test($csv->parse($csv->string()))
Test($warning =~ m/numeric/)
my @fields = $csv->fields()
Test(@fields[0] eq '0')
Test(@fields[1] eq '')
Test(@fields[2] eq '1')
