#!perl -w

print $^STDOUT, "1..13\n"

use URI
my $uri

$uri = URI->new("ftp://ftp.example.com/path")

print $^STDOUT, "not " unless $uri->scheme eq "ftp"
print $^STDOUT, "ok 1\n"

print $^STDOUT, "not " unless $uri->host eq "ftp.example.com"
print $^STDOUT, "ok 2\n"

print $^STDOUT, "not " unless $uri->port eq 21
print $^STDOUT, "ok 3\n"

print $^STDOUT, "not " unless $uri->user eq "anonymous"
print $^STDOUT, "ok 4\n"

print $^STDOUT, "not " unless $uri->password eq 'anonymous@'
print $^STDOUT, "ok 5\n"

$uri->userinfo("gisle\@aas.no")

print $^STDOUT, "not " unless $uri->as_string eq "ftp://gisle\%40aas.no\@ftp.example.com/path"
print $^STDOUT, "ok 6\n"

print $^STDOUT, "not " unless $uri->user eq "gisle\@aas.no"
print $^STDOUT, "ok 7\n"

print $^STDOUT, "not " if defined($uri->password)
print $^STDOUT, "ok 8\n"

$uri->password("secret")

print $^STDOUT, "not " unless $uri->as_string eq "ftp://gisle\%40aas.no:secret\@ftp.example.com/path"
print $^STDOUT, "ok 9\n"

$uri = URI->new("ftp://gisle\@aas.no:secret\@ftp.example.com/path")
print $^STDOUT, "not " unless $uri->as_string eq "ftp://gisle\@aas.no:secret\@ftp.example.com/path"
print $^STDOUT, "ok 10\n"

print $^STDOUT, "not " unless $uri->userinfo eq "gisle\@aas.no:secret"
print $^STDOUT, "ok 11\n"

print $^STDOUT, "not " unless $uri->user eq "gisle\@aas.no"
print $^STDOUT, "ok 12\n"

print $^STDOUT, "not " unless $uri->password eq "secret"
print $^STDOUT, "ok 13\n"
