#!perl -w

print $^STDOUT, "1..102\n"

if (-d "t")
    chdir("t") || die "Can't chdir 't': $^OS_ERROR"
    # fix all relative library locations
    foreach ( $^INCLUDE_PATH)
        $_ = "../$_" unless m,^/,
    


use URI
my $no = 1

for my $i (1..5)
    my $file = "roytest$i.html"

    open(my $fh, "<", $file) || die "Can't open $file: $^OS_ERROR"
    print $^STDOUT, "# $file\n"
    my $base = undef
    while ( ~< $fh->*)
        if (m/^<BASE href="([^"]+)">/)
            $base = URI->new($1)
        elsif (m/^<a href="([^"]*)">.*<\/a>\s*=\s*(\S+)/)
            die "Missing base at line" unless $base
            my $link = $1
            my $exp  = $2
            $exp = $base->as_string if $exp =~ m/current/  # special case test 22

            # rfc2396bis restores the rfc1808 behaviour
            if ($no == 7)
                $exp = "http://a/b/c/d;p?y"
            elsif ($no == 48)
                $exp = "http://a/b/c/d;p?y"
            

            my $abs  = URI->new($link)->abs($base)
            unless ($abs->as_string eq $exp)
                print $^STDOUT, "$file:  Expected: $exp\n"
                print $^STDOUT, qq(  abs("$link","$base") ==> "$abs"\n)
                print $^STDOUT, "not "
            
            print $^STDOUT, "ok $no\n"
            $no++
        
    
    close($fh)

