#!perl -w

print $^STDOUT, "1..4\n"

use URI

my $u = URI->new('rsync://gisle@perl.com/foo/bar')

print $^STDOUT, "not " unless $u->user eq "gisle"
print $^STDOUT, "ok 1\n"

print $^STDOUT, "not " unless $u->port eq 873
print $^STDOUT, "ok 2\n"

print $^STDOUT, "not " unless $u->path eq "/foo/bar"
print $^STDOUT, "ok 3\n"

$u->port(8730)

print $^STDOUT, "not " unless $u->as_string eq 'rsync://gisle@perl.com:8730/foo/bar'
print $^STDOUT, "ok 4\n"

