#!perl -w

print $^STDOUT, "1..9\n"

use URI

my $u = URI->new("<rtsp://media.perl.com/f\x[F4]o.smi/>")

#print "$u\n";
print $^STDOUT, "not " unless $u->as_string eq "rtsp://media.perl.com/f\%F4o.smi/"
print $^STDOUT, "ok 1\n"

print $^STDOUT, "not " unless $u->port == 554
print $^STDOUT, "ok 2\n"

# play with port
my $old = $u->port(8554)
print $^STDOUT, "not " unless $old == 554 && $u->as_string eq "rtsp://media.perl.com:8554/f\%F4o.smi/"
print $^STDOUT, "ok 3\n"

$u->port(554)
print $^STDOUT, "not " unless $u->as_string eq "rtsp://media.perl.com:554/f\%F4o.smi/"
print $^STDOUT, "ok 4\n"

$u->port("")
print $^STDOUT, "not " unless $u->as_string eq "rtsp://media.perl.com:/f\%F4o.smi/" && $u->port == 554
print $^STDOUT, "ok 5\n"

$u->port(undef)
print $^STDOUT, "not " unless $u->as_string eq "rtsp://media.perl.com/f\%F4o.smi/"
print $^STDOUT, "ok 6\n"

print $^STDOUT, "not " unless $u->host eq "media.perl.com"
print $^STDOUT, "ok 7\n"

print $^STDOUT, "not " unless $u->path eq "/f\%F4o.smi/"
print $^STDOUT, "ok 8\n"

$u->scheme("rtspu")
print $^STDOUT, "not " unless $u->scheme eq "rtspu"
print $^STDOUT, "ok 9\n"

