use Test::More
BEGIN { plan tests => 8 }
use XML::LibXML
use IO::Handle
ok(1)

my $dom = XML::LibXML->new->parse_fh($^DATA)
ok($dom)

my @nodelist = $dom->findnodes('//BBB')
is(scalar(nelems(@nodelist)), 5)

is($dom->findvalue("//BBB"), "OKNOT OK")

is(ref($dom->find("1 and 2")), "XML::LibXML::Boolean")

is(ref($dom->find("'Hello World'")), "XML::LibXML::Literal")

is(ref($dom->find("32 + 13")), "XML::LibXML::Number")

is(ref($dom->find("//CCC")), "XML::LibXML::NodeList")

__DATA__
<AAA>
<BBB>OK</BBB>
<CCC/>
<BBB/>
<DDD><BBB/></DDD>
<CCC><DDD><BBB/><BBB>NOT OK</BBB></DDD></CCC>
</AAA>
