use ExtUtils::MakeMaker
use Config
use English

our $expat_incpath
our $expat_libpath

my $libs = "-lexpat"
my @extras = $@

push(@extras, INC => "-I$expat_incpath")
    if $expat_incpath

$libs = "-L$expat_libpath $libs"
    if $expat_libpath

our $OSNAME

push(@extras,
    CAPI => 'TRUE')
    if ($OSNAME eq 'MSWin32'
        and config_value('archname') =~ m/-object\b/i)

push(@extras,
    ABSTRACT => "Lowlevel access to James Clark's expat XML parser",
    AUTHOR        => 'Clark Cooper (coopercc@netheaven.com)')
    if ($ExtUtils::MakeMaker::Version +>= 5.4301)

WriteMakefile(
    NAME        => 'XML::Parser::Expat',
    C         => (@: 'Expat.c'),
    LIBS        => $libs,
    XSPROTOARG => '-noprototypes',
    VERSION_FROM => 'Expat.pm',
    < @extras
    )

