
use Test::More tests => 1
use XML::Parser

my $count = 0

my $cdata_part = "<<< & > '' << &&&>&&&&;<"

my $doc = "<foo> hello <![CDATA[$cdata_part]]> there</foo>"

my $acc = ''

sub ch($xp, $data)

    $acc .= $data


sub stcd
    my $xp = shift
    $xp->setHandlers(Char => &ch)


sub ecd
    my $xp = shift
    $xp->setHandlers(Char => 0)


my $parser = XML::Parser->new(ErrorContext => 2,
    Handlers     => \(%: CdataStart => &stcd
                         CdataEnd   => &ecd))

$parser->parse($doc)

is($acc, $cdata_part)

