
use Test::More tests => 3

use XML::Parser

my $doc =<<'End_of_Doc;'
<!DOCTYPE foo [
<!ATTLIST bar zz CDATA 'there'>
]>
<foo>
  <bar xx="hello"/>
  <bar zz="other"/>
</foo>
End_of_Doc;

sub st
    my $xp = shift
    my $el = shift

    if ($el eq 'bar')
        my %atts = %:  < @_ 
        my %isdflt
        my $specified = $xp->specified_attr

        my $i = $specified
        while ($i +< nelems(@_))
            %isdflt{+@_[$i]} = 1
            $i += 2
        

        if (defined %atts{?xx})
            ok( ! %isdflt{?'xx'} )

            ok( %isdflt{?'zz'} )
        else
            ok( ! %isdflt{?'zz'} )
        

    


my $p = XML::Parser->new(Handlers => \(%: Start => &st))

$p->parse($doc)
