
use Test::More tests => 2

use XML::Parser

my $stcount = 0
my $encount = 0

sub st($exp, $el, ...)
    $stcount++
    $exp->finish if $el eq 'loc'


sub end
    $encount++


my $parser = XML::Parser->new(Handlers => \(%: Start => &st
                                               End   => &end
    ),
    ErrorContext => 2)


$parser->parsefile('samples/REC-xml-19980210.xml')

is($stcount, 12)

is($encount, 8)
