#!./perl -w

use Test::More

use Net::Config
use Net::NNTP
use Net::Cmd < qw(CMD_REJECT)

unless(%NetConfig{nntp_hosts}->@ && %NetConfig{test_hosts})
    plan skip_all => "no nntp_hosts or test_hosts specified"


plan tests => 4

my $i = 1

my $nntp = Net::NNTP->new(Debug => 0)
    or die

ok 1

our @grp

foreach my $grp (qw(test alt.test control news.announce.newusers))
    @grp = $nntp->group($grp)
    last if @grp


if($nntp->status == CMD_REJECT)
    # Command was rejected, probably because we need authinfo
    for (1..3)
        ok 1
    


ok(@grp)


if(@grp && @grp[2] +> @grp[1])
    $nntp->head(@grp[1]) or fail

ok 1

if(@grp)
    $nntp->quit or fail

ok 1

