package LWP::Protocol::loopback

our (@ISA)
require HTTP::Response

require LWP::Protocol
@ISA = qw(LWP::Protocol)

sub request($self, $request, $proxy, $arg, $size, $timeout)

    my $response = HTTP::Response->new(200, "OK")
    $response->content_type("message/http; msgtype=request")

    $response->header("Via", "loopback/1.0 $($proxy->as_string)")
        if $proxy

    $response->header("X-Arg", $arg)
    $response->header("X-Read-Size", $size)
    $response->header("X-Timeout", $timeout)

    return $self->collect_once($arg, $response, $request->as_string)


1
