print $^STDOUT, "1..4\n"

require HTTP::Headers::ETag

my $h = HTTP::Headers->new
$h->etag("tag1")
print $^STDOUT, "not " unless $h->etag eq qq("tag1")
print $^STDOUT, "ok 1\n"

$h->etag("w/tag2")
print $^STDOUT, "not " unless $h->etag eq qq(W/"tag2")
print $^STDOUT, "ok 2\n"

$h->if_match(qq(W/"foo", bar, baz), "bar")
$h->if_none_match(333)

$h->if_range("tag3")
print $^STDOUT, "not " unless $h->if_range eq qq("tag3")
print $^STDOUT, "ok 3\n"

my $t = time
$h->if_range($t)
print $^STDOUT, "not " unless $h->if_range == $t
print $^STDOUT, "ok 4\n"


print $^STDOUT, $h->as_string

