#
# Test mirroring a file
#

require "net/config.pl"
require LWP::Protocol::http
require LWP::UserAgent
require HTTP::Status

print $^STDOUT, "1..2\n"

my $ua = LWP::UserAgent->new()    # create a useragent to test

my $url = "http://$net::httpserver/"
my $copy = "lwp-test-$^PID" # downloaded copy

my $response = $ua->mirror($url, $copy)

if ($response->code == HTTP::Status::RC_OK( < @_ ))
    print $^STDOUT, "ok 1\n"
else
    print $^STDOUT, "not ok 1\n"


# OK, so now do it again, should get Not-Modified
$response = $ua->mirror($url, $copy)
if ($response->code == HTTP::Status::RC_NOT_MODIFIED( < @_ ))
    print $^STDOUT, "ok 2\n"
else
    print $^STDOUT, "nok ok 2\n"

unlink($copy)

$net::httpserver = $net::httpserver  # avoid -w warning
